<?php
namespace Services;

class QrCodeService {
    protected $customerID;
    protected $environment;

    public function __construct( $customerID, $environment ) {
        $this->customerID = $customerID;
        $this->environment = $environment;
    }

    public function getTopicName( $nrqrcode ) {
        if( (is_string($nrqrcode) || is_int($nrqrcode)) && $nrqrcode ) {
		return implode("_", [ $this->customerID, $this->environment->getNrOrg(), $nrqrcode ]);
	}
	return null;
    }
}
